### Swapcard Content

Module implementing Swapcard API, creating and synchronising
diverse content/entities from Swapcard into Drupal.

NOTE: Enabling it will create 4 content types:
- Swapcard Events
- Swapcard Sessions
- Swapcard Speakers
- Swapcard Exhibitors
With all of the belonging fields. For more info on that check out
`swapcard_content.settings.yml.`

This module extends base module's Config form adding quite some new options, so
if you enable it you should visit _/admin/config/services/swapcard/config_ and 
set some preference there. From defining fields with pre-defined values
(i.e. select lists on Swapcard) to using test responses etc.

Running "Sync" action from Config form will map and synchronise data in entities
in Drupal with those on Swapcard. Same is for having it doing on cron if that
option is selected on config form.
This action actually works on media entities attached to nodes, for images
fields on Swapcard as well as for relations between entities such as
entity_reference field from all children to parent Event as well as 
some specific such as Sessions <> Exhibitors.
